<odoo>
    <data>
        <record id="view_bank_settings_tree" model="ir.ui.view">
            <field name="name">bank.settings.tree</field>
            <field name="model">bank.settings</field>
            <field name="arch" type="xml">
                <list>
                    <field name="bank_id"/>
                    <field name="wsdl_url"/>
                    <field name="cert_file_name" column_invisible="1"/>
                    <field name="cert_file_path" filename="cert_file_name" widget="binary"/>
                    <field name="cert_password" password="True"/>
                    <field name="username"/>
                    <field name="current_password" password="True"/>
                    <field name="nonce" password="True"/>
                </list>
            </field>
        </record>

        <record id="view_bank_settings_form" model="ir.ui.view">
            <field name="name">bank.settings.form</field>
            <field name="model">bank.settings</field>
            <field name="arch" type="xml">
                <form>
                    <header>
                        <button string="Test Connection" type="object" name="test_api_connection" class="btn-primary"/>
                    </header>
                    <sheet>
                        <group>
                            <field name="bank_id"/>
                            <field name="wsdl_url"/>
                            <field name="cert_file_name" invisible="1"/>
                            <field name="cert_file_path" filename="cert_file_name" widget="binary"/>
                            <field name="cert_password" password="True"/>
                            <field name="username"/>
                            <field name="current_password" password="True"/>
                            <field name="nonce" password="True"/>
                        </group>
                    </sheet>
                </form>
            </field>
        </record>

        <record id="bank_settings_action" model="ir.actions.act_window">
            <field name="name">Bank Integration Settings</field>
            <field name="res_model">bank.settings</field>
            <field name="view_mode">list,form</field>
        </record>

        <menuitem id="menu_bank_settings_submenu" name="Bank Settings" parent="bank_management_submenu" sequence="30" action="bank_settings_action" groups="base.group_system"/>
    </data>
</odoo>
